Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Michael Albinus <[email-masked]>
Date: Mon, 18 Apr 2022 10:56:17 +0200

Michael Albinus <[email-masked]> writes:

>>> Local variables:
>>> coding: utf-8
>>> eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outline-mode))
>>> mode: emacs-news
>>> paragraph-separate: "[ 	]*$"
>>> end:
>>>
>>> It requires you to confirm the eval form, but this is the price when you
>>> edit etc/NEWS from master with an older Emacs version.
>>
>> That would prompt you in Emacs 29 too, though?  I think?
>
> No, it doesn't (surprisingly). Perhaps, because fboundp is regarded as
> safe, and defalias isn't (just a guess).

I stay corrected. It prompts when I start "emacs -Q".  Somewhere in my
config I must have allowed the eval.

Best regards, Michael.